title: OpenSearch documentation
description: >- # this means to ignore newlines until "baseurl:"
  Documentation for OpenSearch, the Apache 2.0 search, analytics, and visualization suite with advanced security, alerting, SQL support, automated index management, deep performance analysis, and more.
# baseurl: "/docs/latest" # the subpath of your site, e.g. /blog
# url: "https://opensearch.org" # the base hostname & protocol for your site, e.g. http://example.com
permalink: /:path/




# domain: nishanth-krishna.github.io       # if you want to force HTTPS, specify the domain without the http at the start, e.g. example.com
url: "https://codelab_workshop.gitlab.io"  # the base hostname and protocol for your site, e.g. http://example.com
baseurl: ""      # place folder name if the site is served in a subfolder

 


# PREV VERSIONS
# opensearch_version: 2.5.0
# opensearch_dashboards_version: 2.5.0
# opensearch_major_minor_version: 2.5
# lucene_version: 9_4_2

opensearch_version: '2.7.0'
opensearch_dashboards_version: '2.7.0'
opensearch_major_minor_version: '2.7'
lucene_version: '9_5_0'

# Build settings
markdown: kramdown
remote_theme: pmarsceill/just-the-docs@v0.3.3

# Kramdown settings
kramdown:
  toc_levels: 2..3

# logo: "/assets/images/logo.svg"
logo: "/assets/images/ea-logo2.png"

# Aux links for the upper right navigation
aux_links:

color_scheme: opensearch

# Define Jekyll collections
collections:
  # # Define a collection named "tests", its documents reside in the "_tests" directory
  # install-and-configure:
  #   permalink: /:collection/:path/
  #   output: true
  quickstart:
    permalink: /:collection/:path/
    output: true
  # analytics:
  #   permalink: /:collection/:path/
  #   output: true
  # opensearch:
  #   permalink: /:collection/:path/
  #   output: true
  # dashboards:
  #   permalink: /:collection/:path/
  #   output: true
  # security:
  #   permalink: /:collection/:path/
  #   output: true
  # security-analytics:
  #   permalink: /:collection/:path/
  #   output: true
  # search-plugins:
  #   permalink: /:collection/:path/
  #   output: true
  # documentation:
  #   permalink: /:collection/:path/
  #   output: true
  # observability:
  #   permalink: /:collection/:path/
  #   output: true
  # security:
  #   permalink: /:collection/:path/
  #   output: true
  # user-management:
  #   permalink: /:collection/:path/
  #   output: true
  # observability-plugin:
  #   permalink: /:collection/:path/
  #   output: true
  # ml-commons-plugin:
  #   permalink: /:collection/:path/
  #   output: true
  # neural-search-plugin:
  #   permalink: /:collection/:path/
  #   output: true
  # monitoring-plugins:
  #   permalink: /:collection/:path/
  #   output: true
  # notifications-plugin:
  #   permalink: /:collection/:path/
  #   output: true
  # job-scheduler-plugin:
  #   permalink: /:collection/:path/
  #   output: true
  # clients:
  #   permalink: /:collection/:path/
  #   output: true
  # data-prepper: 
  #   permalink: /:collection/:path/
  #   output: true
  # tools:
  #   permalink: /:collection/:path/
  #   output: true
  # api-reference:
  #   permalink: /:collection/:path/
  #   output: true  
  # troubleshoot:
  #   permalink: /:collection/:path/
  #   output: true
  # external_links:
  #   permalink: /:collection/:path/
  #   output: true

just_the_docs:
  # Define the collections used in the theme
  collections:
    # install-and-configure:
    #   name: Install and configure
    #   nav_fold: true
    quickstart:
      name: Elysium Quick Start
      nav_fold: true
    # analytics:
    #   name: Analytics
    #   nav_fold: true
      # nav_exclude: true
    #   nav_fold: true
    #   # search_exclude: true
    # opensearch:
    #   name: OpenSearch
    #   nav_fold: true
    # dashboards:
    #   name: OpenSearch Dashboards
    #   nav_fold: true
    # security:
    #   name: Security in OpenSearch
    #   nav_fold: true
    # security-analytics:
    #   name: Security analytics plugin
    #   nav_fold: true
    # search-plugins:
    #   name: Search plugins
    #   nav_fold: true
    # documentation:
    #   name: Documentation
    #   nav_fold: true
    # observability:
    #   name: Observability
    #   nav_fold: true
    # security:
    #   name: Security
    #   nav_fold: true
    # user-management:
    #   name: User Management
    #   nav_fold: true
    # observability-plugin:
    #   name: Observability plugin
    #   nav_fold: true
    # ml-commons-plugin:
    #   name: ML Commons plugin
    #   nav_fold: true
    # neural-search-plugin:
    #   name: Neural Search plugin
    #   nav_fold: true
    # monitoring-plugins:
    #   name: Monitoring plugins
    #   nav_fold: true
    # notifications-plugin:
    #   name: Notifications plugin
    #   nav_fold: true
    # job-scheduler-plugin:
    #   name: Job Scheduler plugin
    #   nav_fold: true
    # clients:
    #   name: Clients
    #   nav_fold: true
    # data-prepper: 
    #   name: Data Prepper
    #   nav_fold: true
    # tools:
    #   name: Tools
    #   nav_fold: true
    # api-reference:
    #   name: API reference
    #   nav_fold: true
    # troubleshoot:
    #   name: Troubleshooting
    #   nav_fold: true
    # external_links:
    #   name: External links


# Enable or disable the site search
# By default, just-the-docs enables its JSON file-based search. We also have an OpenSearch-driven search functionality.
# To disable any search from appearing, both `search_enabled` and `use_custom_search` need to be false.
# To use the OpenSearch-driven search, `search_enabled` has to be false and `use_custom_search` needs to be true.
# If `search_enabled` is true, irrespective of the value of `use_custom_search`, the JSON file-based search appears.
#
# `search_enabled` defaults to true
# `use_custom_search` defaults to false
search_enabled: false
use_custom_search: true

search:
  # Split pages into sections that can be searched individually
  # Supports 1 - 6, default: 2
  heading_level: 2
  # Maximum amount of previews per search result
  # Default: 3
  previews: 3
  # Maximum amount of words to display before a matched word in the preview
  # Default: 5
  preview_words_before: 5
  # Maximum amount of words to display after a matched word in the preview
  # Default: 10
  preview_words_after: 10
  # Set the search token separator
  # Default: /[\s\-/]+/
  # Example: enable support for hyphenated search words
  tokenizer_separator: /[\s/]+/
  # Display the relative url in search results
  # Supports true (default) or false
  rel_url: true
  # Enable or disable the search button that appears in the bottom right corner of every page
  # Supports true or false (default)
  button: false

# Google Analytics Tracking (optional)
# e.g, UA-1234567-89
ga_tracking: G-BQV14XK08F

# Disable the just-the-docs theme anchor links in favor of our custom ones
# See _includes/head_custom.html
heading_anchors: false

# Adds on-hover anchor links to h2-h6
anchor_links: true

footer_content:

plugins:
  - jekyll-remote-theme
  - jekyll-redirect-from
  - jekyll-sitemap

# Exclude from processing.
# The following items will not be processed, by default. Create a custom list
# to override the default setting.
exclude:
  - Gemfile
  - Gemfile.lock
  - node_modules
  - vendor/bundle/
  - vendor/cache/
  - vendor/gems/
  - vendor/ruby/
  - README.md
  - .idea
